Function UpdateUserRegisterStatus()
'{
	Dim objResponse, AppsItems, objApplication, objRespApps
	Dim objCustomData, objRequest, objSubInfo, objReqApp, objAppInfo
	Dim sWebSite, sIni, sRegWizAppDir, sAppCode, sAppId, sRegWizDataDir
	Dim nCount, nCtr, nIdx, nResult, nSubMgrResult, nAppInfoRetVal, nSubInfoRetVal
	Dim bAddForce

	Call SetWizardStatus (REGWIZ_SUCCESS)

	Set objResponse = gobjExternal.GetParam ( PROP_REGRESPONSE )

	Set objRequest = gobjExternal.GetParam ( PROP_REGREQUEST )
	Set objReqApp = objRequest.Item (PROP_APPLICATION)

	If IsObject(objResponse) Then
	'{
		nResult = objResponse.Item (PROP_RESULT)
		Call LogDetails ( "Registration result : " & nResult )

		If 0 = nResult Then
		'{
			Set objApplication = objResponse.Item (PROP_APPLICATION)

			'// Initialize subscription manager object
			Call InitScriptAPI(gobjSubMgr)
			Call LogDetails ( "After Call InitScriptAPI(gobjSubMgr)" )

			sRegWizAppDir = GetRegWizAppDir()
			sRegWizAppDir = gobjFS.GetShortPathName ( sRegWizAppDir )

			nCount = objApplication.Count
			AppsItems = objApplication.Items
			
			For nCtr = 0 To nCount-1
			'{
				Set objRespApps = AppsItems(nCtr)
				
				sAppId = Trim(objRespApps.Item (PROP_APPCAT))
				sAppCode = Trim(objRespApps.Item (PROP_APPCODE))
				sWebSite = Trim(objRespApps.Item (PROP_WEBSITE))
				sIni = sRegWizAppDir & "\" & objRespApps.Item (PROP_APPCAT) & ".ini"

				Call LogDetails ( sIni & " - " & sAppId & " - " & sAppCode & " - " & sWebSite )

				'// For Response.AppCode = Request.AppCode use SDB with force flag
				bAddForce = True
				If False = objReqApp.Exists (LCase(sAppCode)) Then
				'{
					bAddForce = False
				'}
				End If

				Set objSubInfo = Nothing
				Set objAppInfo = Nothing

				nSubInfoRetVal = GetSubInfo (sAppId, sAppCode, objSubInfo)
				nAppInfoRetVal = GetAppInfo (sAppId, sAppCode, objAppInfo)
				
				Call LogDetails ( "Affter Call GetSubInfo (sAppId, sAppCode, objSubInfo)" )

				If False = IsObject(objSubInfo) Or objSubInfo Is Nothing Or MCSUBDATA_SUCCESS <> nSubInfoRetVal Then
				'{
					Set objSubInfo = Nothing
					Set objSubInfo = New CSubscriptionData
				'}
				End If

				If MCSUBDATA_SUCCESS <> nAppInfoRetVal Then
					Set objAppInfo = Nothing
				End If

				Call GetResponseSubscriptionInfo ( objRespApps, objSubInfo )
				nSubMgrResult = AddSubInfoEx(sAppId, sAppCode, objSubInfo, objAppInfo, bAddForce)

				Call LogDetails ( "AddSubInfoEx returned : " & nSubMgrResult )

				'// Massage urls only if submgr is successfull
				If MCSUBDATA_MCSUBOBJRET_SUCCESS = nSubMgrResult Then
				'{
					'// App ExpiryDate is not updated. This is as per design.

					If "" <> sWebSite Then
					'{
						'// Process only if the ini file is present. For bundle it may not be present.
						If True = gobjFS.IsFile ( sIni ) Then
						'{
							Call LogDetails ( "Performing PerformPostReg : " & sIni )
							Call PerformPostReg ( sIni, sWebSite )
							Call LogDetails ( "PerformPostReg done for " & sIni )
						'}
						End If
					'}
					End If
					Call gobjFS.RemoveFiles ( sIni, "" )
					Call LogDetails ( "Remove File : " & sIni )
				'}
				Else
				'{
					Call LogDetails ( "AddSubInfoEx failed for : " & sAppId & ", " & sAppCode & " - Result = " & nSubMgrResult )
				'}
				End If
			'}
			Next

			sRegWizDataDir = GetRegWizDataDir() & PROFILE_INI
			Call gobjFS.RemoveFiles ( sRegWizDataDir, "" )
			Call LogDetails ( "Remove File : " & sRegWizDataDir )

			'// Deinitialize subscription manager object
			Call DeinitScriptAPI()
			Call LogDetails ( "DeinitScriptAPI()" )

			Call LogDetails ( "Registration process completed successfully" )
		'}
		Else
		'{
			Call LogDetails ( "Error in registration." )
		'}
		End If
	'}
	End If

	divCompleteMsg.style.display = ""
	divCompleteMsg.innerHTML = objResponse.Item (PROP_COMPLETED_MSG)
'}
End Function

Function OnFinish()
'{
	Dim strMcUpdate

	'// Call LaunchMSCExe( MCDASH_EXE, "" )

	strMcUpdate = GetAgentDir() & "\mcupdate.exe"

	If True = gobjFS.IsFile(strMcUpdate) Then
	'{
		Call gobjOS.RunProgram ( CStr(strMcUpdate), CStr("/schedule") )
	'}
	End If

	Call SetWizardStatus (REGWIZ_SUCCESS)
	Call CloseWindow()
'}
End Function

Function OnCompNext()
'{
	Call SetWizardStatus (REGWIZ_SUCCESS)
	Call ShowPostWOW()
'}
End Function

Function OnCompleteBodyLoad()
'{
	Dim bShowWOW

	Call SetExternalObject(gobjExternal)
	Call SetWizardStatus(REGWIZ_ONREBOOT)

	Call UpdateUserRegisterStatus()

	bShowWOW = gobjExternal.GetParam ( PROP_SHOW_WOW )

	idCompleteWithoutWow.style.display = ""
'}
End Function