﻿Dim STR_EULA_CONTENT_others
STR_EULA_CONTENT_others = "End User License Agreement" & _
vbCrLf & vbCrLf & _
"NOTICE TO ALL USERS: PLEASE READ THIS CONTRACT CAREFULLY.  BY CLICKING THE ACCEPT BUTTON OR INSTALLING THE SOFTWARE, YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY) AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN CONTRACT SIGNED BY YOU.  IF YOU DO NOT AGREE, CLICK ON THE BUTTON THAT INDICATES THAT YOU DO NOT ACCEPT THE TERMS OF THIS CONTRACT AND DO NOT INSTALL THE SOFTWARE. IF YOU PURCHASED THE SOFTWARE ON TANGIBLE MEDIA (e.g., CD) WITHOUT THE OPPORTUNITY TO REVIEW THIS LICENSE AND YOU DO NOT ACCEPT THIS CONTRACT, YOU MAY OBTAIN A REFUND OF THE AMOUNT YOU ORIGINALLY PAID IF YOU: (A) DO NOT USE THE SOFTWARE AND (B) RETURN IT, WITH PROOF OF PAYMENT, WITHIN THIRTY (30) DAYS OF THE PURCHASE DATE TO THE LOCATION FROM WHICH IT WAS OBTAINED." & _
vbCrLf & vbCrLf & _
"1.	Definitions." & vbCrLf & _
"a.	“Software” means (a) all of the contents of the files, disk(s), CD-ROM(s) or other media (including electronic media) with which this Agreement is provided or such contents as are hosted by McAfee or its distributors, resellers, OEM/MSP partners, or other business partners (collectively “Authorized Partner(s)”), including but not limited to (i) McAfee or third party computer information or software; (ii) related explanatory materials in printed, electronic, or online form (“Documentation”); and (b) upgrades, modified or subsequent versions and updates (collectively “Updates”), and Software, if any, licensed to you by McAfee or an Authorized Partner as part of a maintenance contract or service subscription. " & vbCrLf & _
"b.	“Use” or “Using” means to access, install, download, copy or otherwise benefit from using the Software." & vbCrLf & _
"c.	“Permitted Number” means one (1) unless otherwise indicated under a valid license (e.g., volume license) granted by McAfee or an Authorized Partner." & vbCrLf & _
"d.	“Computer” means a device that accepts information in digital or similar form and manipulates it for a specific result based upon a sequence of instructions." & vbCrLf & _
"e.	“McAfee” means (a) McAfee, Inc., a Delaware corporation, with offices located at 3965 Freedom Circle, Santa Clara, California 95054 if the Software is purchased in the United States, Mexico, Central America, South America, or the Caribbean; (b) McAfee Ireland Limited, with offices located at 11 Eastgate Business Park, Little Island, Cork, Ireland if the Software is purchased in Canada, Europe, the Middle East, Africa, Asia, or the Pacific Rim; (c) McAfee do Brasil Comércio de Software Ltda., with offices located at Rua General Flausino Gomes 78, conj. 51, Sao Paulo, SP, Brazil if the Software is purchased in Brazil; and (d) McAfee Co., Ltd. with offices located at Shibuya Mark City West Building 12-1, Dogenzaka 1-Chrome, Shibuya-ku, Tokyo 150-0043, Japan if the Software is purchased in Japan; and (e) McAfee (Shanghai) Software Co. Ltd., with offices located at Room 601 AE-13, Bldg. 2, No. 351, Goushoujing Toad, Zhangliang High-tech Park, Pudong, Shanghai China if the Software is purchased in China.  " & _
vbCrLf & vbCrLf & _
"2. License Grant. Subject to the payment of the applicable license fees, and subject to the terms and conditions of this Agreement, McAfee hereby grants to you a non-exclusive, non-transferable license to Use the Software subject to any restrictions or usage terms specified on the applicable product packaging included as part of the Documentation.  Some third party materials included in the Software may be subject to other terms and conditions, which are typically found in either a “Read Me” file or an “About” file in the Software." & _
vbCrLf & vbCrLf & _
"3. Term. Unless earlier terminated as set forth herein, this Agreement is effective for the term set forth in the Documentation. If no term is agreed, " & _
"the default term shall be one (1) year from purchase. If you have agreed to permit McAfee to automatically renew your subscription to the Software by " & _
"charging a valid credit card number which you have provided to McAfee, your subscription will be automatically renewed thirty (30) days prior to the " & _
"expiration of the term and each anniversary thereafter for a fee no greater than McAfee’s then-current price, excluding promotional and discount pricing.  " & _
"You must provide current, complete, and accurate information for your billing account.  You must promptly update all information to keep your billing " & _
"account current, complete, and accurate (such as a change in billing address, credit card number, or credit card expiration date), and you must promptly " & _
"notify McAfee if your credit card is canceled (for example, for loss or theft).  Changes to such information can be made at " & _
"http://us.mcafee.com/root/login.asp.  If you fail to provide McAfee any of the foregoing information, you agree that McAfee may continue charging you for " & _
"any subscription automatically renewed unless you inform McAfee’s customer support department at 1-800-338-8754 (or any other local number provided by the " & _
"respective McAfee entity in your region) not to renew your subscription to the Software at least thirty (31) days prior to the expiration of your " & _
"subscription to the Software and informing them of your desire not to have such subscription automatically renewed.  This Agreement will terminate " & _
"automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this " & _
"Agreement, you must cease use of the Software and destroy all copies of the Software and the Documentation." & _
vbCrLf & vbCrLf & _
"4. Updates. This license is limited to the version of the Software delivered by McAfee and does not include Updates, unless a separate maintenance contract is purchased or, alternatively, you have purchased a service subscription that entitles you to Updates as described in the Documentation.  After the specified maintenance period or service subscription period has expired, you have no further right to receive any Updates without the purchase of a new maintenance contract or service subscription." & _
vbCrLf & vbCrLf & _
"5. Ownership Rights. The Software is protected by United States’ and other copyright laws, international treaty provisions and other applicable laws in the country in which it is being used.  McAfee and its suppliers own and retain all right, title and interest in and to the Software, including all copyrights, patents, trade secret rights, trademarks and other intellectual property rights therein. Your possession, installation, or Use of the Software does not transfer to you any title to the intellectual property in the Software, and you will not acquire any rights to the Software except as expressly set forth in this Agreement. Any copy of the Software and Documentation authorized to be made hereunder must contain the same proprietary notices that appear on and in the Software and Documentation." & _
vbCrLf & vbCrLf & _
"6. Multiple Environment Software/Multiple Language Software/Dual Media Software/Multiple Copies/Bundles/Updates If the Software supports multiple platforms " & _
"or languages, if you receive the Software on multiple media, if you otherwise receive multiple copies of the Software, or if you receive the Software bundled " & _
"with other software, the total number of your Computers on which all versions of the Software are installed may not exceed the Permitted Number. If the " & _
"Software is an Update to a previous version of the Software, you must possess a valid license to such previous version in order to Use the Update. " & _
"You may continue to Use the previous version of the Software on your Computer after you receive the Update to assist you in the transition to the Update, " & _
"provided that the Update and the previous version are installed on the same Computer; the previous version or copies thereof are not transferred to another " & _
"Computer unless all copies of the Update are also transferred to such Computer, and you acknowledge that any obligation McAfee may have to support the " & _
"previous version of the Software ends upon availability of the Update. " & _
vbCrLf & vbCrLf & _
"7. Restrictions. You may not sell, lease, license, rent, loan, resell or otherwise transfer, with or without consideration, the Software.   You may not reverse engineer, decompile, or disassemble the Software, except to the extent the foregoing restriction is expressly prohibited by applicable law. You may not modify, or create derivative works based upon, the Software in whole or in part. You may not copy the Software or Documentation except as expressly permitted in Section 1 above. You may not permit third parties to benefit from the use or functionality of the Software via a timesharing, service bureau or other arrangement.  You may not remove any proprietary notices or labels on the Software. All rights not expressly set forth hereunder are reserved by McAfee. " & _
vbCrLf & vbCrLf & _
"8. Warranty and Disclaimer." & vbCrLf  & _
"a. Limited Warranty. McAfee warrants (manufacturer warranty) that for sixty (60) days from the date of original purchase the Software will operate substantially in accordance with the Documentation and that the media (e.g., CD ROM), if any, on which the Software is contained and provided to you will be free from defects in materials and workmanship." & vbCrLf & _
"b. Customer Remedies. McAfee’s and its suppliers' entire liability and your exclusive remedy for any breach of the foregoing warranty shall be, at McAfee’s option, either (i) return of the purchase price paid for the license, if any, or (ii) replacement of the defective media in which the Software is contained. You must return the defective media to your place of purchase at your expense with a copy of your receipt. This limited warranty is void if the defect has resulted from accident, abuse, or misapplication. Any replacement media will be warranted for the remainder of the original warranty period.  Outside the United States, this remedy is not available to the extent McAfee is subject to restrictions under United States export control laws and regulations." & vbCrLf & _
"c. Warranty Disclaimer. Except for the limited warranty set forth herein, THE SOFTWARE IS PROVIDED " & chr(34) & "AS IS" & chr(34) & " AND McAfee MAKES NO " & _
"WARRANTY AS TO ITS USE OR PERFORMANCE.  EXCEPT FOR ANY WARRANTY, CONDITION, REPRESENTATION OR TERM THE EXTENT TO WHICH CANNOT BE EXCLUDED OR LIMITED BY APPLICABLE LAW.  McAfee, ITS SUPPLIERS, AND AUTHORIZED PARTNERS MAKE NO WARRANTY, CONDITION, REPRESENTATION, OR TERM (EXPRESS OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE) AS TO ANY MATTER INCLUDING, WITHOUT LIMITATION, NONINFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY, INTEGRATION, OR FITNESS FOR A PARTICULAR PURPOSE.  YOU ASSUME RESPONSIBILITY FOR SELECTING THE SOFTWARE TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE SOFTWARE. WITHOUT LIMITING THE FOREGOING PROVISIONS, McAfee MAKES NO WARRANTY THAT THE SOFTWARE WILL BE ERROR-FREE OR FREE FROM INTERRUPTIONS OR OTHER FAILURES OR THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS. " & _
vbCrLf & vbCrLf & _
"9. Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER IN TORT, CONTRACT, OR OTHERWISE, SHALL McAfee, OR ITS AUTHORIZED " & _
"PARTNERS OR SUPPLIERS BE LIABLE TO YOU OR TO ANY OTHER PERSON FOR LOSS OF PROFITS, LOSS OF GOODWILL, OR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL " & _
"DAMAGES, OR DAMAGES FOR GROSS NEGLIGENCE OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR " & _
"MALFUNCTION, OR FOR ANY OTHER DAMAGE OR LOSS. IN NO EVENT SHALL McAfee, OR ITS AUTHORIZED PARTNERS OR SUPPLIERS BE LIABLE FOR ANY DAMAGES IN EXCESS OF " & _
"THE PRICE PAID FOR THE SOFTWARE, IF ANY, EVEN IF McAfee, OR ITS AUTHORIZED PARTNERS OR SUPPLIERS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. " & _
"This limitation shall not apply to liability for death or personal injury to the extent that applicable law prohibits such limitation. Furthermore, " & _
"some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this limitation and exclusion may not apply to you. " & _
"Nothing contained in this Agreement limits McAfee’s liability to you for McAfee’s negligence or for the tort of fraud.   McAfee is acting on behalf of " & _
"its suppliers and Authorized Partners for the purpose of disclaiming, excluding and/or limiting obligations, warranties and liability as provided in this " & _
"Agreement, but in no other respects and for no other purpose.  The foregoing provisions shall be enforceable to the maximum extent permitted by applicable law." & _
vbCrLf & vbCrLf & _
"10. Notice to United States Government End Users. The Software and accompanying Documentation are deemed to be " & chr(34) & "commercial computer software" & chr(34) & " and " & chr(34) & "commercial computer software documentation," & chr(34) & " respectively, pursuant to DFAR Section 227.7202 and FAR Section 12.212, as applicable. Any use, modification, reproduction, release, performance, display or disclosure of the Software and accompanying Documentation by the United States Government shall be governed solely by the terms of this Agreement and shall be prohibited except to the extent expressly permitted by the terms of this Agreement." & _
vbCrLf & vbCrLf & _
"11. Export Controls. You are advised that the Software is of United States origin and subject to the United States Export Administration Regulations; " & _
"diversion contrary to United States law and regulation is prohibited.  You agree not to directly or indirectly export, import or transmit the Software " & _
"to any country, end user or for any Use that is prohibited by applicable United States regulation or statute (including but not limited to those countries " & _
"embargoed from time to time by the United States government).  You represent that neither the United States Bureau of Industry and Security nor any other " & _
"governmental agency has issued sanctions against Customer or otherwise suspended, revoked or denied Customer's export privileges.  You agree not to Use or " & _
"transfer the Software for any Use relating to nuclear, chemical or biological weapons, or missile technology, unless authorized by the United States " & _
"Government by regulation or specific written license. Additionally, You agree not to directly or indirectly export, import or transmit the Software contrary " & _
"to the laws or regulations of any other governmental entity that has jurisdiction over such export, import, transmission or Use. " & _
vbCrLf & vbCrLf & _
"12. High Risk Activities. The Software is not fault-tolerant and is not designed or intended for use in hazardous environments requiring fail-safe performance, including without limitation, in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, weapons systems, direct life-support machines, or any other application in which the failure of the Software could lead directly to death, personal injury, or severe physical or property damage (collectively, " & chr(34) & "High Risk Activities" & chr(34) & "). McAfee expressly disclaims any express or implied warranty of fitness for High Risk Activities." & _
vbCrLf & vbCrLf & _
"13. Governing Law.  This Agreement will be governed by and construed in accordance with the substantive laws in force: (a) in the State of California, " & _
"if you purchased the Software in the United States, Mexico, Central America, South America, or the Caribbean;  (b) in the Republic of Ireland, if you " & _
"purchased the Software in Canada, Europe, Middle East, Africa, Asia, or the region commonly known as the Pacific Rim; (c) in Brazil if you purchased the " & _
"Software in Brazil, (d) in Japan if you purchased the Software in Japan and (e) in China if you purchased the Software in China.  If you purchased the " & _
"Software in any other country, then the substantive laws of the Republic of Ireland shall apply, unless another law is required to be applied. The United " & _
"States District Court for the Northern District of California and the Superior Court of Santa Clara County, California, when California law applies, the " & _
"courts of the Republic of Ireland, when the law of Ireland applies, the courts of Brazil when Brazilian law applies, the courts of Japan when Japanese " & _
"law applies, and the courts of China when Chinese law applies, shall each have non-exclusive jurisdiction over all disputes relating to this Agreement.  " & _
"This Agreement will not be governed by the conflict of laws rules of any jurisdiction or the United Nations Convention on Contracts for the International " & _
"Sale of Goods, the application of which is expressly excluded.  If you are an individual consumer, this shall not affect any mandatory right you may have " & _
"to take action in your country of residence and under the laws of that country." & _
vbCrLf & vbCrLf & _
"14. Free Software. This product includes or may include some software programs that are licensed (or sublicensed) to the user under the GNU General Public License (GPL) or other similar Free Software licenses which, among other rights, permit the user to copy, modify and redistribute certain programs, or portions thereof, and have access to the source code.  The GPL requires that for any software covered under the GPL, which is distributed to someone in an executable binary format, that the source code also be made available to those users.  For any such software covered under the GPL, the source code is made available on this CD.  If any Free Software licenses require that McAfee provide rights to use, copy or modify a Free Software program that are broader than the rights granted in this agreement, then such rights shall take precedence over the rights and restrictions herein." & _
vbCrLf & vbCrLf & _
"15. Privacy.  By entering into this Agreement, you agree that McAfee may collect, retain and use your personal information, including your name, address, " & _
"e-mail address, and payment details.  Your personal information will be used primarily to provide services and product functionality to you.  McAfee may " & _
"also use your personal information for additional communication with you, subject to your decision not to accept such communication from McAfee and " & _
"subject to applicable laws.  McAfee engages other companies and individuals (“subcontractors”) to perform functions on its behalf, such as payment " & _
"processing, order fulfillment, marketing programs and customer service.  McAfee may share your information with such subcontractors in order to perform " & _
"these and other functions, but such subcontractors may not use your personal information for other purposes, unless you agree.  By entering into this " & _
"Agreement, you agree to the transfer of your personal information to McAfee’s offices in the United States, for the purposes stated above. For more detailed " & _
"information on the collection, use and transfer of your personal information, and for information on how to opt out of or unsubscribe from the communications " & _
"described above, please read the McAfee privacy policy on the McAfee web site (www.McAfee.com). " & _
vbCrLf & vbCrLf & _
"16. Audit for Volume Licenses.   McAfee reserves the right to periodically audit you to ensure that you are not using any Software in violation of this Agreement.  During standard business hours and upon prior written notice, McAfee may visit you and you will make available to McAfee or its representatives any records pertaining to the Software.  The cost of any requested audit will be solely borne by McAfee, unless such audit discloses an underpayment or amount due to McAfee in excess of five percent (5%) of the initial license fee for the Software or you are using the Software in an unauthorized manner, in which case you shall pay for the cost of the audit." & _
vbCrLf & vbCrLf & _
"17. Miscellaneous.  This Agreement sets forth all rights for the user of the Software and is the entire agreement between the parties. This Agreement supersedes any other communications, representations or advertising relating to the Software and Documentation. This Agreement may not be modified except by a written addendum issued by a duly authorized representative of McAfee.  No provision hereof shall be deemed waived unless such waiver shall be in writing and signed by McAfee.  If any provision of this Agreement is held invalid, the remainder of this Agreement shall continue in full force and effect." & _
vbCrLf & vbCrLf & _
"18. McAfee Customer Contact. If you have any questions concerning these terms and conditions, or if you would like to contact McAfee for any other reason, please call (408) 988-3832, fax (408) 970-9727, or write: McAfee, Inc., Attention: Customer Service, 3965 Freedom Circle, Santa Clara, California 95054.  http://www.McAfee.com.  Alternatively, you may contact your local McAfee entity at the number listed at http://www.McAfee.com."



